Name:           perl-Crypt-Salsa20
Version:        0.03
Release:        2%{?dist}
Summary:        Encrypt data with the Salsa20 cipher
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-Salsa20/

Source0:        http://search.cpan.org/CPAN/authors/id/C/CJ/CJM/Crypt-Salsa20-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Testing
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Test::More) >= 0.88

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::Salsa20 implements D. J. Bernstein's Salsa20 stream cipher (a.k.a.
Snuffle 2005) in Perl. For more information on Salsa20, see his page at
http://cr.yp.to/snuffle.html.

%prep
%setup -q -n Crypt-Salsa20-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test AUTOMATED_TESTING=1

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.03-2
- Small spec improvements

* Mon Nov 16 2015 Denis Fateyev <denis@fateyev.com> - 0.03-1
- Initial release
